# $Id: smeserver-freepbx.spec,v 1.2 2013/05/12 21:04:00 unnilennium Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

#%define fpbxversion 2.5.0
%define version	0.1
%define release 33
%define name smeserver-freepbx

Summary: Asterisk web GUI
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: System/Servers
Source: %{name}-%{version}.tar.gz

Patch0:	smeserver-freepbx-0.1-fop_link.patch
Patch1:	smeserver-freepbx-0.1-genzaptelconf.patch
Patch2:	smeserver-freepbx-0.1-logrotate.patch
Patch3:	smeserver-freepbx-0.1-asterisk_logrotate.patch
Patch4:	smeserver-freepbx-0.1-userpanels.patch
Patch5:	smeserver-freepbx-0.1-trunk_alert_mail.patch
Patch6:	smeserver-freepbx-0.1-trunk_name_in_alert.patch
Patch7: smeserver-freepbx-0.1-postupgrade_to_bootstrap.patch
Patch8: smeserver-freepbx-0.1-zap2dahdi.patch
Patch9: smeserver-freepbx-0.1-full_dahdi_support.patch
Patch10: smeserver-freepbx-0.1-fix_logrotate_event.patch
Patch11: smeserver-freepbx-0.1-retry_install.patch
Patch12: smeserver-freepbx-0.1-recordings_security.patch
Patch13: smeserver-freepbx-0.1-remove_admin_alias.patch
Patch14: smeserver-freepbx-0.1-recordingsfix2bootstrap.patch
Patch15: smeserver-freepbx-0.1-templatize_cdr_mysql.patch
Patch16: smeserver-freepbx-0.1-templatize_manager.patch
Patch17: smeserver-freepbx-0.1-cdr_mysql_template_begin.patch
Patch18: smeserver-freepbx-0.1-clean_crontab.patch
Patch19: smeserver-freepbx-0.1-crontab_script_fixe.patch
Patch20: smeserver-freepbx-0.1-http_cleanup.patch
Patch21: smeserver-freepbx-0.1-cdr_passwd.patch
Patch22: smeserver-freepbx-0.1-fop_separate_service.patch
Patch23: smeserver-freepbx-0.1-check_referer.patch
Patch24: smeserver-freepbx-0.1-dump_astdb_include_functions.patch
Patch25: smeserver-freepbx-0.1-disable_dynamic_hints.patch
Patch26: smeserver-freepbx-0.1-remove_logrotate_conf.patch
Patch27: smeserver-freepbx-0.1-ari_password_from_db.patch
Patch28: smeserver-freepbx-0.1-create_mysql.patch
Patch29: smeserver-freepbx-0.1-template_asterisk_conf.patch
Patch30: smeserver-freepbx-0.1-datadir_in_var_lib.patch
Patch31: smeserver-freepbx-0.1-templates_logrotate.patch
Patch32: smeserver-freepbx-0.1-session_path.patch
Patch33: smeserver-freepbx-0.1-logrotate_misdn.patch
Patch34: smeserver-freepbx-0.1-protect_by_location.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
URL: http://www.freepbx.org/

BuildRequires:	e-smith-devtools
BuildRequires:	tar

Requires: mysql
Requires: httpd
Requires: php-pear
Requires: /usr/sbin/asterisk
Requires: %{_libdir}/asterisk/modules/app_addon_sql_mysql.so
Requires: dahdi-tools
Requires: dahdi-linux
Requires: sox
Requires: mod_auth_tkt
Requires: e-smith-base
Requires: freepbx-src

#Buildarch: noarch
AutoReqProv: no


%description
FreePBX is a Standardised Implementation of Asterisk that gives you a GUI to manage your system. If you have looked into Asterisk, you would know that it does not come with any built in programming. You cannot plug a phone into it and make it work without editing configuration files, writing dialplans, and various messing about. FreePBX simplifies this by giving you a pre-written set of dialplans that allow you to have a fully functional PBX pretty much straight away.
This package provide the integration of FreePBX on SME Server.


%changelogi

* Sun May 12 2013 JP Pialasse <tests@pialasse.com> 0.1-33.sme
- buildarch removed in order to find the correct %{_libdir}/asterisk/modules/app_addon_sql_mysql.so 

* Thu Oct 20 2011 Daniel B. <daniel@firewall-services.com> 0.1-32.sme
- Protect by locations (so other alias can be defined to protect with LL::NG for example)

* Mon Oct 17 2011 Daniel B. <daniel@firewall-services.com> 0.1-31.sme
- Add misdn.log to logrotate

* Thu Oct 13 2011 Daniel B. <daniel@firewall-services.com> 0.1-30.sme
- Change session path [SME: 6661]

* Wed Jan 05 2011 Daniel B. <daniel@firewall-services.com> 0.1-29.sme
- astdatadir is /var/lib/asterisk
- templates for /etc/logrotate.d/asterisk

* Mon Sep 20 2010 Daniel B. <daniel@firewall-services.com> 0.1-28.sme
- Create and populate the mysql databases in mysql.init
- Templates for /etc/asterisk/asterisk.conf

* Thu Jul 15 2010 Daniel B. <daniel@firewall-services.com> [0.1-27]
- Read ARI password from the DB (and initialize a random one)

* Mon Feb 22 2010 Daniel B. <daniel@firewall-services.com> [0.1-26]
- Remove hard-coded dependencies on asterisk and asterisk-addons14
  Depends now on asterisk binary and app_addon_sql_mysql.so files
  (so it can work with asterisk or asterisk14)

* Mon Feb 15 2010 Daniel B. <daniel@firewall-services.com> [0.1-25]
- Remove /etc/logrotate.d/asterisk which is now included in asterisk14

* Tue Feb 09 2010 Daniel B. <daniel@firewall-services.com> [0.1-24]
- Depends now on asterisk14 and asterisk-addons14

* Wed Jan 06 2010 Daniel B. <daniel@firewall-services.com> [0.1-23]
- disable dynamic hints

* Tue Oct 06 2009 Daniel B. <daniel@firewall-services.com> [0.1-22]
- include /opt/freepbx/admin/functions.inc.php in freepbx-dump-astdb
  action script for FreePBX 2.6 compatibility

* Tue May 19 2009 Daniel B. <daniel@firewall-services.com> [0.1-21]
- Add CHECKREFERER=FALSE in amportal.conf to repvent error message in some 
  modules (due to the ProxyPass configuration)

* Tue Apr 28 2009 Daniel B. <daniel@firewall-services.com> [0.1-20]
- Fix CDR db password in cdr_mysql.conf template
- Use a separate service in SME db for FOP

* Thu Apr 16 2009 Daniel B. <daniel@firewall-services.com> [0.1-19]
- remove scoreboard directive from httpd-fpbx config
- remove some modules (mod_ssl, mod_proxy)

* Sat Apr 11 2009 Daniel B. <daniel@firewall-services.com> [0.1-18]
- templatize cdr_mysql.conf [SME: 5153]
- templatize manager.conf
- remove freepbx-cron-scheduler.php from root crontab so only
  asterisk user runs it (prevent email error sent from cron)

* Fri Mar 27 2009 Daniel B. <daniel@firewall-services.com> [0.1-17]
- Remove obsolete /admin Alias from apache
- Run the security script on bootsrape-console-save event

* Mon Mar 23 2009 Daniel B. <daniel@firewall-services.com> [0.1-16]
- Security Fixe: put a random password for ARI admin (this should be documented)

* Thu Mar 19 2009 Daniel B. <daniel@firewall-services.com> [0.1-15]
- Check if /opt/freepbx/admin exists (retry the install if a first one failed)
- Remove tabs from spec

* Wed Mar 18 2009 Daniel B. <daniel@firewall-services.com> [0.1-14]
- Remove speex from dependencies

* Thu Mar 12 2009 Daniel B. <daniel@firewall-services.com> [0.1-13]
- Remove zaptel dependency, replaced with dahdi-tools and dahdi-linux

* Mon Feb 23 2009 Daniel B. <daniel@firewall-services.com> [0.1-12]
- Fix logrotate issue (send a sigusr1 signal to httpd-fpbx)

* Thu Feb 12 2009 Daniel B. <daniel@firewall-services.com> [0.1-11]
- Full support for the new DAHDI driver, droping zaptel

* Mon Feb 09 2009 Daniel B. <daniel@firewall-services.com> [0.1-10]
- add support for DAHDI channel

* Mon Dec 08 2008 Daniel B. <daniel@firewall-services.com> [0.1-9]
- move expand-templates from post-upgrade event to bootstrap-console-save

* Thu Nov 27 2008 Daniel B. <daniel@firewall-services.com> [0.1-8]
- Add support for trunk name in mail alerts

* Wed Nov 26 2008 Daniel B. <daniel@firewall-services.com> [0.1-7]
- Add a simple script to alert admin by mail on trunk errors

* Thu Nov 20 2008 Daniel B. <daniel@firewall-services.com> [0.1-6]
- Use AdminPanels props so access can be configured using 
  smeserver-userpanels contrib. AdminUsers and FopUsers 
  props aren't used anymore

* Wed Nov 19 2008 Daniel B. <daniel@firewall-services.com> [0.1-5]
- add logrotate default config file for asterisk's logs
- spec cleanup

* Thu Nov 13 2008 Daniel B. <daniel@firewall-services.com> [0.1-4]
- fix logrotate issue

* Wed Nov 05 2008 Daniel B. <daniel@firewall-services.com> [0.1-3]
- split freepbx sources in a separate package (freepbx-src)
- alternative genzaptelconf

* Mon Oct 13 2008 Daniel B. <daniel@firewall-services.com> [0.1-2]
- Fix fop not being displayed in admin page

* Sat Sep 20 2008 Daniel B. <daniel@firewall-services.com> [0.1-1]
- updated to 2.5.0 final
- spec cleaning
- templates cleaning
- templates to update mysql informations

* Mon Aug 04 2008 daniel B. <daniel@firewall-services.com> [0.1-0]
- initial release

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1

%build
# Build symlinks
perl createlinks


%install
rm -rf $RPM_BUILD_ROOT

%{__mkdir_p} $RPM_BUILD_ROOT/var/lib/php/fpbx-session

(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	--file /usr/share/freepbx/scripts/uninstall.sh 'attr(0750,root,root)' \
	--file /usr/share/freepbx/scripts/restore-astdb.php 'attr(0750,root,root)' \
	--dir /var/service/httpd-fpbx 'attr(01755,root,root)' \
	--dir /var/service/httpd-fpbx/supervise 'attr(0700,root,root)' \
	--dir /var/service/httpd-fpbx/log 'attr(0755,root,root)' \
	--file /var/service/httpd-fpbx/log/run 'attr(0755,root,root)' \
	--dir /var/service/httpd-fpbx/log/supervise 'attr(0700,root,root)' \
	--dir /var/log/httpd-fpbx 'attr(0750,smelog,smelog)' \
	--file /var/lib/asterisk/bin/genzaptelconf 'attr(0750,root,root)' \
	--file /var/lib/asterisk/agi-bin/trunk_alert_mail.agi 'attr(0750,asterisk,asterisk)' \
	--file /etc/logrotate.d/asterisk 'config(noreplace)' \
        --dir /var/lib/php/fpbx-session 'attr(0770,root,asterisk)' \
	 > %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)


%post

%preun
if [ $1 = 0 ] ; then
  /etc/rc.d/init.d/freepbx stop >& /dev/null || :
fi

true

